DEVICE_PROBE_AND_ATTACH(9)

NAME
device_probe_and_attach - initialise a device

SYNOPSIS
#include <sys/param.h>
#include <sys/bus.h>
int
device_probe_and_attach(device_t dev);

DESCRIPTION
This function is called during autoconfiguration to initialise the devices in the system. For each device, the DEVICE_PROBE(9) method of each suitable driver is called and if a probe succeeds, a description of the device is printed and the DEVICE_ATTACH(9) method is called. If the device is disabled using device_disable(9) then it will not be probed.

RETURN VALUES
Zero is returned on success, otherwise an appropriate error is returned.

SEE ALSO
device(9), driver(9)

AUTHORS
This manual page was written by Doug Rabson.